Package com.xebialabs.xlrelease.utils

# Class TreeFunctions

java.lang.Object
com.xebialabs.xlrelease.utils.TreeFunctions

public class TreeFunctions extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeFunctions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <A> scala.Function1<Tree<A>,scala.collection.immutable.List<A>>`
  `bottomUpList()`
  `static <A> scala.Function1<Tree<A>,Tree<A>>`
  `filter(scala.Function1<A,Object> f)`
  `static <A> scala.Function1<Tree.Node<A>,Tree.Node<A>>`
  `filterChildren(scala.Function1<A,Object> f)`
  `static <A, B> scala.Function1<Tree<A>,Tree<B>>`
  `flatMap(scala.Function1<A,Tree<B>> f)`
  `static <A> scala.Function1<Tree<Tree<A>>,Tree<A>>`
  `flatten()`
  `static <A> scala.Function1<Tree.Node<Tree<A>>,Tree<A>>`
  `flattenNode()`
  `static <A, B> B`
  `fold(scala.Function0<B> default_, scala.Function1<Tree.Node<A>,B> f, Tree<A> t)`
  `static <A, B> scala.Function1<Tree<A>,B>`
  `foldLeft(B z, scala.Function2<B,A,B> f)`
  `static <B, A> scala.Function1<Tree<A>,B>`
  `foldRight(B z, scala.Function2<A,B,B> f)`
  `static <A, U> scala.Function1<Tree<A>,scala.runtime.BoxedUnit>`
  `foreach(scala.Function1<A,U> f)`
  `static <A, B> scala.Function1<Tree<A>,Tree<B>>`
  `map(scala.Function1<A,B> f)`
  `static <A, B> scala.Function1<Tree.Node<A>,Tree.Node<B>>`
  `mapNode(scala.Function1<A,B> f)`
  `static <A> scala.collection.immutable.List<Tree.Node<A>>`
  `prune(scala.collection.immutable.List<Tree<A>> nodes)`
  `static <A> scala.Function1<Tree<A>,scala.collection.immutable.List<A>>`
  `toList()`
  `static <A> scala.Function1<Tree<A>,scala.Option<Tree.Node<A>>>`
  `toOption()`
  `static <A, B> scala.Function1<Tree<A>,Tree<B>>`
  `unsafeFlatMap(scala.Function1<Tree.Node<A>,Tree<B>> unsafeF)`
  `static <A, B> scala.Function1<Tree.Node<A>,Tree<B>>`
  `unsafeFlatMapNode(scala.Function1<Tree.Node<A>,Tree<B>> unsafeF)`
  `static <A, B> scala.Function1<Tree<A>,Tree<B>>`
  `unsafeMap(scala.Function1<Tree.Node<A>,B> unsafeF)`
  `static <A, B> scala.Function1<Tree.Node<A>,Tree.Node<B>>`
  `unsafeMapNode(scala.Function1<Tree.Node<A>,B> unsafeF)`
  `static <A, B> scala.Function1<Tree.Node<A>,Tree.Node<B>>`
  `unsafeMapNode(scala.Function2<A,scala.collection.immutable.List<Tree.Node<B>>,B> unsafeF)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TreeFunctions

    public TreeFunctions()

- ## Method Details

  - ### fold

    public static <A, B> B fold(scala.Function0<B> default_, scala.Function1<Tree.Node<A>,B> f, Tree<A> t)

  - ### prune

    public static <A> scala.collection.immutable.List<Tree.Node<A>> prune(scala.collection.immutable.List<Tree<A>> nodes)

  - ### mapNode

    public static <A, B> scala.Function1<Tree.Node<A>,Tree.Node<B>> mapNode(scala.Function1<A,B> f)

  - ### map

    public static <A, B> scala.Function1<Tree<A>,Tree<B>> map(scala.Function1<A,B> f)

  - ### filter

    public static <A> scala.Function1<Tree<A>,Tree<A>> filter(scala.Function1<A,Object> f)

  - ### filterChildren

    public static <A> scala.Function1<Tree.Node<A>,Tree.Node<A>> filterChildren(scala.Function1<A,Object> f)

  - ### flattenNode

    public static <A> scala.Function1<Tree.Node<Tree<A>>,Tree<A>> flattenNode()

  - ### flatten

    public static <A> scala.Function1<Tree<Tree<A>>,Tree<A>> flatten()

  - ### flatMap

    public static <A, B> scala.Function1<Tree<A>,Tree<B>> flatMap(scala.Function1<A,Tree<B>> f)

  - ### foldLeft

    public static <A, B> scala.Function1<Tree<A>,B> foldLeft(B z, scala.Function2<B,A,B> f)

  - ### foldRight

    public static <B, A> scala.Function1<Tree<A>,B> foldRight(B z, scala.Function2<A,B,B> f)

  - ### toOption

    public static <A> scala.Function1<Tree<A>,scala.Option<Tree.Node<A>>> toOption()

  - ### toList

    public static <A> scala.Function1<Tree<A>,scala.collection.immutable.List<A>> toList()

  - ### bottomUpList

    public static <A> scala.Function1<Tree<A>,scala.collection.immutable.List<A>> bottomUpList()

  - ### foreach

    public static <A, U> scala.Function1<Tree<A>,scala.runtime.BoxedUnit> foreach(scala.Function1<A,U> f)

  - ### unsafeMapNode

    public static <A, B> scala.Function1<Tree.Node<A>,Tree.Node<B>> unsafeMapNode(scala.Function2<A,scala.collection.immutable.List<Tree.Node<B>>,B> unsafeF)

  - ### unsafeMapNode

    public static <A, B> scala.Function1<Tree.Node<A>,Tree.Node<B>> unsafeMapNode(scala.Function1<Tree.Node<A>,B> unsafeF)

  - ### unsafeMap

    public static <A, B> scala.Function1<Tree<A>,Tree<B>> unsafeMap(scala.Function1<Tree.Node<A>,B> unsafeF)

  - ### unsafeFlatMapNode

    public static <A, B> scala.Function1<Tree.Node<A>,Tree<B>> unsafeFlatMapNode(scala.Function1<Tree.Node<A>,Tree<B>> unsafeF)

  - ### unsafeFlatMap

    public static <A, B> scala.Function1<Tree<A>,Tree<B>> unsafeFlatMap(scala.Function1<Tree.Node<A>,Tree<B>> unsafeF)